=== debian/changelog ===
ros-melodic-range-sensor-layer (0.5.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 10 Sep 2018 14:37:15 -0000

ros-melodic-range-sensor-layer (0.4.0-0bionic) bionic; urgency=high

  * Clean up with roscompile
  * range sensor layer: Remove parameter max_angle (#38 <https://github.com/DLu/navigation_layers/issues/38>)
    Any value set for max_angle gets overwritten in updateCostmap() so the
    parameter can safely be removed.
  * Issue #22 <https://github.com/DLu/navigation_layers/issues/22>: on updateCostmap, only touch cells within the triangular projection of the sensor cone. I also add a parameter to regulate (and deactivate) this feature (#30 <https://github.com/DLu/navigation_layers/issues/30>)
  * Add buffer clearing when calling deactivate() or activate(). (#33 <https://github.com/DLu/navigation_layers/issues/33>)
  * Contributors: David V. Lu, Jorge Santos Simón, Krit Chaiso, nxdefiant

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 31 Aug 2018 04:00:00 -0000

ros-melodic-range-sensor-layer (0.2.4-0bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-melodic-range-sensor-layer (0.2.3-0bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 05:00:00 -0000
